




-- Return values
declare @error  int				-- Result (0 for no error)
declare @error_message nvarchar (200) 		-- Error string to be displayed
select @error = 0
select @error_message = N'Ok'





DECLARE @docEntry nvarchar(20)
DECLARE invoiceCursor CURSOR LOCAL FOR 
SELECT Cast( docEntry as nvarchar(20)) FROM OINV 
WHERE U_PMX_DR_IMSC in (8844, 8845) 
 AND docdate >= '2013-01-01'
OPEN invoiceCursor
FETCH NEXT FROM invoiceCursor INTO @docEntry
WHILE @@FETCH_STATUS >= 0 BEGIN
				

	--**********************************************************************************************************
	--Start executing Produmex SboNotification Queue code
	--**********************************************************************************************************
	IF @error = 0 BEGIN
		BEGIN TRY
			EXEC [PMX_SBODemo_US].[dbo].[PMX_SP_TransactionNotificationQueue] 
			N'13', -- objtype
			N'A',
			1,
			N'DocEntry',
			 @docEntry,--Doc entry
			@error = @error OUTPUT,
			@error_message = @error_message OUTPUT
		END TRY
		BEGIN CATCH
			SELECT @error = ERROR_NUMBER(), @error_message = ERROR_MESSAGE()
			DECLARE @msg2 as NVARCHAR(255)
			SET @msg2 = SUBSTRING('Error='+CAST(@error AS NVARCHAR) + ' Message=' + @error_message,1,255)
			EXEC xp_logevent 999999, @msg2  , ERROR
		END CATCH
	END


	FETCH NEXT FROM invoiceCursor INTO @docEntry

END
CLOSE invoiceCursor 
DEALLOCATE invoiceCursor




