ALTER PROCEDURE [dbo].[PMX_SP_MOVIANTO_ShippingLabelWithItems] 
	-- Parameters for the stored procedure
	@luid int = 0
AS
BEGIN
	-- SET NOCOUNT ON added to prevent extra result sets from
	-- interfering with SELECT statements.
	SET NOCOUNT ON;

    -- Insert statements for procedure here
	SELECT OADM.CompnyName, OADM.CompnyAddr, LBL.SSCC,
	dbo.PMX_FN_GenerateGS1Barcode(  LBL.SSCC, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '' ) AS SSCCBarcode,
	LBL.ShipToAddress, LBL.ShipTo, LBL.ItemCode, 
	LBL.ProductDescription, LBL.BatchNumber, 
	LBL.BestBeforeDate, LBL.DepartureDate, Sum(LBL.Quantity) As Quantity,
	LBL.Weight,LBL.WeightUom,LBL.Length,LBL.LengthUOM,
	LBL.Width,LBL.WidthUom,LBL.Height, LBL.HeightUom,
	LBL.U_PMX_DR_NAM2, LBL.Address2,LBL.U_PMX_MOV_TXT06, LBL.NumAtCard, 
	LBL.U_PMX_DR_IMSC, LBL.U_PMX_DR_IMSN ,LBL.PickListDocEntry
	FROM PMX_MOVIANTO_SSCC_SHIPPING_LABEL AS LBL, OADM 
	WHERE LUID = @luid
	GROUP BY OADM.CompnyName, OADM.CompnyAddr, LBL.SSCC, LBL.ShipToAddress, LBL.ShipTo, LBL.ItemCode, LBL.ProductDescription,LBL.BatchNumber, LBL.BestBeforeDate, LBL.DepartureDate,LBL.Weight,LBL.WeightUom,LBL.Length,LBL.LengthUOM,
LBL.Width,LBL.WidthUom,LBL.Height, LBL.HeightUom, LBL.U_PMX_DR_NAM2, LBL.Address2,LBL.U_PMX_MOV_TXT06, LBL.NumAtCard, LBL.U_PMX_DR_IMSC, LBL.U_PMX_DR_IMSN,LBL.PickListDocEntry

END